### Method

# Peas ExtensionSet get_extension

#### Declaration [src]

    GObject*
    peas_extension_set_get_extension (
      PeasExtensionSet* set,
      PeasPluginInfo* info
    )

#### Description [src]

Returns the `GObject` object corresponding to `info`.

If the plugin doesn’t provide such an extension, it returns `NULL`.

#### Parameters

`info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the method.

#### Return value

Type: `GObject`

A reference to a `GObject`.

The returned data is owned by the instance.
The return value can be `NULL`.